Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F160462716
D23173.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D23173.diff
View Options
Index: head/usr.sbin/bsdinstall/bsdinstall.8
===================================================================
--- head/usr.sbin/bsdinstall/bsdinstall.8
+++ head/usr.sbin/bsdinstall/bsdinstall.8
@@ -119,7 +119,7 @@
installations.
Defaults to UFS.
.It Cm zfsboot
-Provides an alternative ZFS-only automatic interactive disk partitioner.
+Provides a ZFS-only automatic interactive disk partitioner.
Creates a single
.Ic zpool
with separate datasets for
Index: head/usr.sbin/bsdinstall/scripts/auto
===================================================================
--- head/usr.sbin/bsdinstall/scripts/auto
+++ head/usr.sbin/bsdinstall/scripts/auto
@@ -289,7 +289,7 @@
CURARCH=$( uname -m )
case $CURARCH in
amd64|arm64|i386) # Booting ZFS Supported
- PMODES="$PMODES \"Auto (ZFS)\" \"Guided Root-on-ZFS\""
+ PMODES="\"Auto (ZFS)\" \"Guided Root-on-ZFS\" $PMODES"
;;
*) # Booting ZFS Unspported
;;
@@ -303,6 +303,10 @@
exec 3>&-
case "$PARTMODE" in
+"Auto (ZFS)") # ZFS
+ bsdinstall zfsboot || error "ZFS setup failed"
+ bsdinstall mount || error "Failed to mount filesystem"
+ ;;
"Auto (UFS)") # Guided
bsdinstall autopart || error "Partitioning error"
bsdinstall mount || error "Failed to mount filesystem"
@@ -319,10 +323,6 @@
else
bsdinstall partedit || error "Partitioning error"
fi
- bsdinstall mount || error "Failed to mount filesystem"
- ;;
-"Auto (ZFS)") # ZFS
- bsdinstall zfsboot || error "ZFS setup failed"
bsdinstall mount || error "Failed to mount filesystem"
;;
*)
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, Jun 25, 6:14 PM (14 h, 47 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34326611
Default Alt Text
D23173.diff (1 KB)
Attached To
Mode
D23173: bsdinstall: Change ZFS to "default" method (first option)
Attached
Detach File
Event Timeline
Log In to Comment